#include "HardwareInfo.c"
#include <SetLCDBack.h>
#include <GetADextend.h>
#include <SetLCD3Char.h>
#include <SetNS.h>

int main(void)
{
    unsigned char var0 = 0;
    unsigned char var1 = 0;
    unsigned char var2 = 0;
    unsigned char var3 = 0;
    while (1)
    {
        SetLCDBack(1);
        var0 = GetADextend(_ADEXTEND_1_, 0);
        var1 = GetADextend(_ADEXTEND_1_, 1);
        var2 = GetADextend(_ADEXTEND_1_, 2);
        var3 = GetADextend(_ADEXTEND_1_, 3);
        SetLCD3Char(1, var0);
        SetLCD3Char(5, var1);
        SetLCD3Char(9, var2);
        SetLCD3Char(13, var3);
        SetNS(2);
        var0 = GetADextend(_ADEXTEND_1_, 4);
        var1 = GetADextend(_ADEXTEND_1_, 5);
        var2 = GetADextend(_ADEXTEND_1_, 6);
        var3 = GetADextend(_ADEXTEND_1_, 7);
        SetLCD3Char(1, var0);
        SetLCD3Char(5, var1);
        SetLCD3Char(9, var2);
        SetLCD3Char(13, var3);
        SetNS(2);
        var0 = GetADextend(_ADEXTEND_1_, 8);
        var1 = GetADextend(_ADEXTEND_1_, 9);
        var2 = GetADextend(_ADEXTEND_1_, 10);
        var3 = GetADextend(_ADEXTEND_1_, 11);
        SetLCD3Char(1, var0);
        SetLCD3Char(5, var1);
        SetLCD3Char(9, var2);
        SetLCD3Char(13, var3);
        SetNS(2);
        var0 = GetADextend(_ADEXTEND_1_, 12);
        SetLCD3Char(1, var0);
        SetLCD3Char(5, 255);
        SetLCD3Char(9, 255);
        SetLCD3Char(13, 255);
        SetNS(2);
    }
    return 1;
}

